package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Crd;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * @program: isc-core
 * @ClassName: Crdgrp
 * @description: 清算grp模块
 * @author: huangshunlin
 * @create: 2024-10-16 20:38
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Crdgrp extends AbstractCommonVo {

    private Crd rec;

    private Cracbs cbs;

    private PtsptaVo snd;

    private PtsptaVo rcv;

    private PtsptaVo trf;

    private PtsptaVo apl;

    private PtsptaVo acc;

    @Override
    public void reset() {
        if (rec == null) {
            rec = new Crd();
        }

        if (cbs == null) {
            cbs = new Cracbs();
        }
        cbs.reset();

        if (snd == null) {
            snd = new PtsptaVo();
        }
        snd.reset();

        if (rcv == null) {
            rcv = new PtsptaVo();
        }
        rcv.reset();

        if (trf == null) {
            trf = new PtsptaVo();
        }
        trf.reset();

        if (apl == null) {
            apl = new PtsptaVo();
        }
        apl.reset();

        if (acc == null) {
            acc = new PtsptaVo();
        }
        acc.reset();

    }
}
